summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Alexander Söderlund2013-07-12 22:12:04 +0200
committer Erik Hanson2013-07-12 22:12:04 +0200
commit0210c5fcb5cd134030f25580af2758f025a6b1e5 (patch)
treeaa89884de54f6476f1963afce3742d014b0ed7b8 /games
parent1c555d1291c8cee8de488ff7b2f5f4645d9e33e8 (diff)
downloadslackbuilds-0210c5fcb5cd134030f25580af2758f025a6b1e5.tar.gz
games/cgoban: Added (Complete Goban Mark 1)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/cgoban/README4
-rw-r--r--games/cgoban/cgoban.SlackBuild95
-rw-r--r--games/cgoban/cgoban.info10
-rw-r--r--games/cgoban/slack-desc20
4 files changed, 129 insertions, 0 deletions
diff --git a/games/cgoban/README b/games/cgoban/README
new file mode 100644
index 0000000000..89cc0c3a0b
--- /dev/null
+++ b/games/cgoban/README
@@ -0,0 +1,4 @@
+CGoban1 provides a large set of go-related services for Unix and X11,
+including network play, playing against a computer player (such as
+GNUGo) using the go modem protocol, and editing SGF files. Japanese and
+Chinese rules as well as time controls are supported.
diff --git a/games/cgoban/cgoban.SlackBuild b/games/cgoban/cgoban.SlackBuild
new file mode 100644
index 0000000000..c6681db317
--- /dev/null
+++ b/games/cgoban/cgoban.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware 14.0 build script for CGoban1
+
+# Copyright 2013 Alexander Söderlund, Sweden. Revised 2013-07-12.
+#
+# Script license: CC0, see:
+# http://creativecommons.org/publicdomain/zero/1.0/
+# http://creativecommons.org/publicdomain/zero/1.0/legalcode
+
+PRGNAM=cgoban
+VERSION=${VERSION:-1.9.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Put binary in /usr/games/
+# --docdir is not supported by configure.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/cgoban/cgoban.info b/games/cgoban/cgoban.info
new file mode 100644
index 0000000000..0c5866c854
--- /dev/null
+++ b/games/cgoban/cgoban.info
@@ -0,0 +1,10 @@
+PRGNAM="cgoban"
+VERSION="1.9.14"
+HOMEPAGE="http://cgoban1.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/project/cgoban1/cgoban1/1.9.14/cgoban-1.9.14.tar.gz"
+MD5SUM="b360bc0374a1ee8b1fa296ad1c903bde"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Söderlund"
+EMAIL="alexandersoderlund@lavabit.com"
diff --git a/games/cgoban/slack-desc b/games/cgoban/slack-desc
new file mode 100644
index 0000000000..de04423894
--- /dev/null
+++ b/games/cgoban/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |--------handy-ruler------------------------------------------------------|
+cgoban: CGoban1 (Complete Goban Mark 1)
+cgoban:
+cgoban: CGoban1 provides a large set of go-related services for Unix and X11,
+cgoban: including network play, playing against a computer player (such as
+cgoban: GNUGo) using the go modem protocol, and editing SGF files. Japanese and
+cgoban: Chinese rules as well as time controls are supported.
+cgoban:
+cgoban: Homepage: http://cgoban1.sourceforge.net
+cgoban:
+cgoban:
+cgoban:
+cgoban: